rte_vxlan_gpe_hdr(3)

NAME
rte_vxlan_gpe_hdr

SYNOPSIS

#include <rte_vxlan.h>

Detailed Description

Deprecated

See also
    rte_vxlan_hdr

VXLAN-GPE protocol header (draft-ietf-nvo3-vxlan-gpe-05). Contains the 8-bit flag, 8-bit next-protocol, 24-bit VXLAN Network Identifier and Reserved fields (16 bits and 8 bits).

Definition at line 114 of file rte_vxlan.h.

Field Documentation

  uint8_t vx_flags
flag (8).

Definition at line 117 of file rte_vxlan.h.

  uint8_t reserved[2]
Reserved (16).

Definition at line 118 of file rte_vxlan.h.

  uint8_t protocol
next-protocol (8).

Definition at line 119 of file rte_vxlan.h.

  rte_be32_t vx_vni
VNI (24) + Reserved (8).

Definition at line 120 of file rte_vxlan.h.

  uint8_t flags
Flags.

Definition at line 123 of file rte_vxlan.h.

  uint8_t rsvd0[2]
Reserved.

Definition at line 124 of file rte_vxlan.h.

  uint8_t proto
Next protocol.

Definition at line 125 of file rte_vxlan.h.

  uint8_t vni[3]
VXLAN identifier.

Definition at line 126 of file rte_vxlan.h.

  uint8_t rsvd1
Reserved.

Definition at line 127 of file rte_vxlan.h.

Author

Generated automatically by Doxygen for DPDK from the source code.